<template>
  <v-row>
    <v-col>
      <v-card class="elevation-2 mx-2 mt-12">
        <v-card-title>
          <v-layout>
            <v-flex xs12>
              <v-card
                dark
                raised
                class="elevation-5 px-3 py-4 mt-n12 subtitle-1 font-weight-light"
                color="secondary"
                >{{ this.title }}</v-card
              >
            </v-flex>
          </v-layout>
        </v-card-title>

        <v-card-text class="mt-2">
          <v-layout>
            <v-flex xs12 class="text-center">
              <p
                class="font-weight-light title"
                v-if="this.managerInfo.Manager"
              >
                {{ this.managerInfo.Manager }}
              </p>

              <v-list dense>
                <v-list-item v-if="this.managerInfo.ManagerPhone">
                  <v-list-item-icon>
                    <a
                      class="text-no-decoration"
                      :href="'tel://' + this.managerInfo.ManagerPhone"
                      :aria-label="this.managerInfo.ManagerPhone"
                    >
                      <v-icon color="secondary">{{ icons.phone }}</v-icon>
                    </a>
                  </v-list-item-icon>

                  <v-list-item-content>
                    <v-list-item-title>
                      <a
                        class="text-no-decoration text-space"
                        :href="'tel://' + this.managerInfo.ManagerPhone"
                        >{{ this.managerInfo.ManagerPhone }}</a
                      >
                    </v-list-item-title>
                  </v-list-item-content>
                </v-list-item>

                <v-divider inset></v-divider>

                <v-list-item v-if="this.managerInfo.ManagerEmail">
                  <v-list-item-icon>
                    <a
                      class="text-no-decoration"
                      :href="'mailto:' + this.managerInfo.ManagerEmail"
                    >
                      <v-icon color="secondary">{{ icons.mail }}</v-icon>
                    </a>
                  </v-list-item-icon>

                  <v-list-item-content>
                    <v-list-item-title>
                      <a
                        class="text-no-decoration"
                        :href="'mailto:' + this.managerInfo.ManagerEmail"
                        >{{ this.managerInfo.ManagerEmail }}</a
                      >
                    </v-list-item-title>
                  </v-list-item-content>
                </v-list-item>

                <v-divider inset></v-divider>

                <v-list-item v-if="this.managerInfo.ManagerSkype">
                  <v-list-item-icon>
                    <a
                      class="text-no-decoration"
                      :href="'skype:' + this.managerInfo.ManagerSkype + '?call'"
                    >
                      <v-icon color="secondary">{{ icons.skype }}</v-icon>
                    </a>
                  </v-list-item-icon>

                  <v-list-item-content>
                    <v-list-item-title>
                      <a
                        class="text-no-decoration"
                        :href="
                          'skype:' + this.managerInfo.ManagerSkype + '?call'
                        "
                        >{{ this.managerInfo.ManagerSkype }}</a
                      >
                    </v-list-item-title>
                  </v-list-item-content>

                  <v-list-item-icon>
                    <a
                      class="text-no-decoration"
                      :href="'skype:' + this.managerInfo.ManagerSkype + '?call'"
                    >
                      <v-icon color="secondary">{{ icons.chat }}</v-icon>
                    </a>
                  </v-list-item-icon>
                </v-list-item>

              </v-list>
            </v-flex>
          </v-layout>
        </v-card-text>
      </v-card>
    </v-col>
  </v-row>
</template>

<script>
import { Icon } from "@/helpers";

export default {
  props: {
    managerInfo: Object,
    icon: String,
    title: String,
  },
  computed: {},
  methods: {
  },
  data: () => ({
    icons: {
      chat: Icon.chat,
      mail: Icon.mail,
      phone: Icon.phone,
      skype: Icon.skype,
      close: Icon.close,
      info: Icon.info,
    },
  }),
  mounted: function () {},
};
</script>
